#jsp全局变量
application:
  default-password: 123456
  upload-file-limit-bytes : 104857600
#  upload-file-limit-bytes : 5242880
#multipart:max-file-size=10mb
#maxFileSize = 10Mb
#multipart.maxRequestSize=100Mb

#设置tomcat端口号
server:
  port: 8888
  tomcat:
    basedir: /data/saas/temp

#driuld数据源
#spring.profiles.active=dev
#spring.devtools.restart.enabled=true
#spring.mvc.view.prefix=/WEB-INF/jsp/
#spring.mvc.view.suffix=.jsp
spring:
    profiles:
        active: test
#        active: test
    devtools:
        restart:
          enabled: false
    mvc:
      view:
        prefix: /WEB-INF/jsp/
        suffix: .jsp
    http:
      multipart:
        max-file-size: 500MB
        max-request-size: 501MB
    application:
      name: bcxin-identify
#mybatis
#mybatis-plus.mapper-locations=classpath:/xml/*/*Mapper.xml
#mybatis-plus.type-aliases-package= com.usage.springboot
#mybatis-plus.global-config.refresh-mapper=true
#mybatis-plus.global-config.db-column-underline=false
#mybatis-plus.global-config.field-strategy=2
#mybatis-plus.global-config.id-type=2
#mybatis-plus.configuration.map-underscore-to-camel-case=true
#mybatis-plus.configuration.cache-enabled=false
#
mybatis-plus:
  mapper-locations: classpath:/mybatis/**/*Mapper.xml
  typeAliasesPackage: com.bcxin.signature
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 2
    #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
    field-strategy: 1
    #驼峰下划线转换
    db-column-underline: false
    #刷新mapper 调试神器
    refresh-mapper: true
    #数据库大写下划线转换
    capital-mode: false
    #序列接口实现类配置
    #key-generator: com.baomidou.springboot.xxx
    #逻辑删除配置
    #logic-delete-value: 0
    #logic-not-delete-value: 1
    #自定义填充策略接口实现
    #meta-object-handler: com.baomidou.springboot.xxx
    #自定义SQL注入器
    #sql-injector: com.baomidou.springboot.xxx
  configuration:
    map-underscore-to-camel-case: false
    cache-enabled: false